<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>allocateMatrices &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>allocateMatrices
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">20 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/transportEq.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/transporteq.f03.html'>transportEq.f03</a></li>
    
     <li><a href='../module/transporteq.html'>transportEq</a></li>
    
  
     <li class="active">allocateMatrices</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine allocateMatrices(this)
    
    
   
</h2>
    
  


    
    <p>allocateMatrices generates the PETSc matrix and rhs.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-this%7E116"></span>class(<a href='../type/transporteqn.html'>transportEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~allocatematrices~~CallsGraph Pages: 1 -->
<svg id="procallocatematricesCallsGraph" width="266pt" height="368pt"
 viewBox="0.00 0.00 266.00 368.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~allocatematrices~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 364)">
<title>proc~~allocatematrices~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-364 262,-364 262,4 -4,4"/>
<!-- proc~allocatematrices -->
<g id="proc~~allocatematrices~~CallsGraph_node1" class="node">
<title>proc~allocatematrices</title>
<polygon fill="none" stroke="#000000" points="90,-192 0,-192 0,-168 90,-168 90,-192"/>
<text text-anchor="middle" x="45" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">allocateMatrices</text>
</g>
<!-- veccreate -->
<g id="proc~~allocatematrices~~CallsGraph_node2" class="node">
<title>veccreate</title>
<polygon fill="#777777" stroke="#777777" points="221,-360 163,-360 163,-336 221,-336 221,-360"/>
<text text-anchor="middle" x="192" y="-345.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">veccreate</text>
</g>
<!-- proc~allocatematrices&#45;&gt;veccreate -->
<g id="proc~~allocatematrices~~CallsGraph_edge1" class="edge">
<title>proc~allocatematrices&#45;&gt;veccreate</title>
<path fill="none" stroke="#000000" d="M48.3425,-192.2926C56.6183,-220.406 80.7401,-289.8267 126,-327 133.724,-333.3439 143.3906,-337.7821 152.9239,-340.8834"/>
<polygon fill="#000000" stroke="#000000" points="152.1482,-344.3012 162.7233,-343.655 154.0534,-337.5655 152.1482,-344.3012"/>
</g>
<!-- matcreate -->
<g id="proc~~allocatematrices~~CallsGraph_node3" class="node">
<title>matcreate</title>
<polygon fill="#777777" stroke="#777777" points="222,-318 162,-318 162,-294 222,-294 222,-318"/>
<text text-anchor="middle" x="192" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matcreate</text>
</g>
<!-- proc~allocatematrices&#45;&gt;matcreate -->
<g id="proc~~allocatematrices~~CallsGraph_edge2" class="edge">
<title>proc~allocatematrices&#45;&gt;matcreate</title>
<path fill="none" stroke="#000000" d="M51.2305,-192.3354C62.9058,-214.224 90.1679,-259.9089 126,-285 133.812,-290.4703 143.1185,-294.5667 152.2435,-297.6155"/>
<polygon fill="#000000" stroke="#000000" points="151.4113,-301.0196 161.9947,-300.528 153.4147,-294.3124 151.4113,-301.0196"/>
</g>
<!-- matsetsizes -->
<g id="proc~~allocatematrices~~CallsGraph_node4" class="node">
<title>matsetsizes</title>
<polygon fill="#777777" stroke="#777777" points="226.5,-276 157.5,-276 157.5,-252 226.5,-252 226.5,-276"/>
<text text-anchor="middle" x="192" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matsetsizes</text>
</g>
<!-- proc~allocatematrices&#45;&gt;matsetsizes -->
<g id="proc~~allocatematrices~~CallsGraph_edge3" class="edge">
<title>proc~allocatematrices&#45;&gt;matsetsizes</title>
<path fill="none" stroke="#000000" d="M57.4756,-192.0236C72.5915,-206.012 99.3581,-228.9756 126,-243 132.8064,-246.5829 140.3322,-249.6865 147.793,-252.3265"/>
<polygon fill="#000000" stroke="#000000" points="146.9042,-255.7189 157.4974,-255.5315 149.0994,-249.072 146.9042,-255.7189"/>
</g>
<!-- vecsetsizes -->
<g id="proc~~allocatematrices~~CallsGraph_node5" class="node">
<title>vecsetsizes</title>
<polygon fill="#777777" stroke="#777777" points="225.5,-234 158.5,-234 158.5,-210 225.5,-210 225.5,-234"/>
<text text-anchor="middle" x="192" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecsetsizes</text>
</g>
<!-- proc~allocatematrices&#45;&gt;vecsetsizes -->
<g id="proc~~allocatematrices~~CallsGraph_edge4" class="edge">
<title>proc~allocatematrices&#45;&gt;vecsetsizes</title>
<path fill="none" stroke="#000000" d="M87.1243,-192.0355C106.3419,-197.5263 129.0826,-204.0236 148.4675,-209.5621"/>
<polygon fill="#000000" stroke="#000000" points="147.6855,-212.9787 158.2623,-212.3606 149.6086,-206.248 147.6855,-212.9787"/>
</g>
<!-- mpi_allreduce -->
<g id="proc~~allocatematrices~~CallsGraph_node6" class="node">
<title>mpi_allreduce</title>
<polygon fill="#777777" stroke="#777777" points="231.5,-192 152.5,-192 152.5,-168 231.5,-168 231.5,-192"/>
<text text-anchor="middle" x="192" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">mpi_allreduce</text>
</g>
<!-- proc~allocatematrices&#45;&gt;mpi_allreduce -->
<g id="proc~~allocatematrices~~CallsGraph_edge5" class="edge">
<title>proc~allocatematrices&#45;&gt;mpi_allreduce</title>
<path fill="none" stroke="#000000" d="M90.3043,-180C106.6516,-180 125.1922,-180 141.9242,-180"/>
<polygon fill="#000000" stroke="#000000" points="142.0728,-183.5001 152.0728,-180 142.0727,-176.5001 142.0728,-183.5001"/>
</g>
<!-- vecsettype -->
<g id="proc~~allocatematrices~~CallsGraph_node7" class="node">
<title>vecsettype</title>
<polygon fill="#777777" stroke="#777777" points="224,-150 160,-150 160,-126 224,-126 224,-150"/>
<text text-anchor="middle" x="192" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecsettype</text>
</g>
<!-- proc~allocatematrices&#45;&gt;vecsettype -->
<g id="proc~~allocatematrices~~CallsGraph_edge6" class="edge">
<title>proc~allocatematrices&#45;&gt;vecsettype</title>
<path fill="none" stroke="#000000" d="M87.1243,-167.9645C106.8656,-162.3241 130.3244,-155.6216 150.0444,-149.9873"/>
<polygon fill="#000000" stroke="#000000" points="151.0297,-153.3459 159.6834,-147.2333 149.1066,-146.6153 151.0297,-153.3459"/>
</g>
<!-- matsetup -->
<g id="proc~~allocatematrices~~CallsGraph_node8" class="node">
<title>matsetup</title>
<polygon fill="#777777" stroke="#777777" points="220.5,-108 163.5,-108 163.5,-84 220.5,-84 220.5,-108"/>
<text text-anchor="middle" x="192" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matsetup</text>
</g>
<!-- proc~allocatematrices&#45;&gt;matsetup -->
<g id="proc~~allocatematrices~~CallsGraph_edge7" class="edge">
<title>proc~allocatematrices&#45;&gt;matsetup</title>
<path fill="none" stroke="#000000" d="M57.4756,-167.9764C72.5915,-153.988 99.3581,-131.0244 126,-117 134.5171,-112.5165 144.1608,-108.7837 153.3938,-105.7704"/>
<polygon fill="#000000" stroke="#000000" points="154.6373,-109.0503 163.1786,-102.7816 152.5924,-102.3556 154.6373,-109.0503"/>
</g>
<!-- matsettype -->
<g id="proc~~allocatematrices~~CallsGraph_node9" class="node">
<title>matsettype</title>
<polygon fill="#777777" stroke="#777777" points="224.5,-66 159.5,-66 159.5,-42 224.5,-42 224.5,-66"/>
<text text-anchor="middle" x="192" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matsettype</text>
</g>
<!-- proc~allocatematrices&#45;&gt;matsettype -->
<g id="proc~~allocatematrices~~CallsGraph_edge8" class="edge">
<title>proc~allocatematrices&#45;&gt;matsettype</title>
<path fill="none" stroke="#000000" d="M51.2305,-167.6646C62.9058,-145.776 90.1679,-100.0911 126,-75 133.0794,-70.0427 141.3862,-66.2137 149.673,-63.2701"/>
<polygon fill="#000000" stroke="#000000" points="150.846,-66.57 159.3172,-60.2069 148.7269,-59.8984 150.846,-66.57"/>
</g>
<!-- matmpiaijsetpreallocation -->
<g id="proc~~allocatematrices~~CallsGraph_node10" class="node">
<title>matmpiaijsetpreallocation</title>
<polygon fill="#777777" stroke="#777777" points="258,-24 126,-24 126,0 258,0 258,-24"/>
<text text-anchor="middle" x="192" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matmpiaijsetpreallocation</text>
</g>
<!-- proc~allocatematrices&#45;&gt;matmpiaijsetpreallocation -->
<g id="proc~~allocatematrices~~CallsGraph_edge9" class="edge">
<title>proc~allocatematrices&#45;&gt;matmpiaijsetpreallocation</title>
<path fill="none" stroke="#000000" d="M48.3425,-167.7074C56.6183,-139.594 80.7401,-70.1733 126,-33 127.7364,-31.5738 129.5711,-30.2439 131.4803,-29.0039"/>
<polygon fill="#000000" stroke="#000000" points="133.2182,-32.0423 140.2559,-24.1225 129.8155,-25.925 133.2182,-32.0423"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>